> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Profile

> Get a stored profile.

A profile is secret-free at rest (#4017), so there is nothing to mask or
expose — unlike the LLM ``/api/profiles`` router, this endpoint has no
``X-Expose-Secrets`` behavior.



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/agent-profiles/{name}
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/agent-profiles/{name}:
    get:
      tags:
        - Agent Profiles
      summary: Get Agent Profile
      description: |-
        Get a stored profile.

        A profile is secret-free at rest (#4017), so there is nothing to mask or
        expose — unlike the LLM ``/api/profiles`` router, this endpoint has no
        ``X-Expose-Secrets`` behavior.
      operationId: get_agent_profile_api_agent_profiles__name__get
      parameters:
        - in: path
          name: name
          required: true
          schema:
            maxLength: 64
            minLength: 1
            pattern: ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$
            title: Name
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentProfileDetailResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    AgentProfileDetailResponse:
      properties:
        name:
          title: Name
          type: string
        profile:
          additionalProperties: true
          title: Profile
          type: object
      required:
        - name
        - profile
      title: AgentProfileDetailResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.